Entitlement Insight - Get Tenant User Consumption By Resource

Get tenant user consumption by entitlement and resource ID.

GET https://api.powerplatform.com/licensing/entitlements/{entitlementId}/resources/{resourceId}/users?fromDate={fromDate}&toDate={toDate}&api-version=2024-10-01
GET https://api.powerplatform.com/licensing/entitlements/{entitlementId}/resources/{resourceId}/users?fromDate={fromDate}&toDate={toDate}&pageSize={pageSize}&searchRequest={searchRequest}&continuationToken={continuationToken}&api-version=2024-10-01

URI Parameters

Name In Required Type Description
entitlementId
path True

string

The entitlement ID.

resourceId
path True

string

The resource ID.

api-version
query True

string

The API version.

fromDate
query True

string

The start date (inclusive) of the query range.

toDate
query True

string

The end date (inclusive) of the query range.

continuationToken
query

string

Continuation token for pagination.

pageSize
query

integer (int32)

The page size for pagination.

searchRequest
query

string

Search request for filtering.

Responses

Name Type Description
200 OK

TenantUserResponseModelPagedResponse

Success

204 No Content

No Content

400 Bad Request

Bad Request

401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

404 Not Found

Not Found

Security

oauth2

Microsoft Entra ID OAuth2

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize?resource=https://api.powerplatform.com

Scopes

Name Description
.default .default

Definitions

Name Description
TenantCapacityConsumptionUserSnapshotResponseModel
TenantUserResponseModel
TenantUserResponseModelPagedResponse

A paged response with a continuation token.

TenantCapacityConsumptionUserSnapshotResponseModel

Name Type Description
asOfDate

string (date-time)

consumed

number (double)

environmentId

string

metadata

object

tenantId

string

unit

string

userId

string

TenantUserResponseModel

Name Type Description
users

TenantCapacityConsumptionUserSnapshotResponseModel[]

The list of users associated with the tenant.

TenantUserResponseModelPagedResponse

A paged response with a continuation token.

Name Type Description
@odata.count

integer (int32)

@odata.nextLink

string

continuationtoken

string

value

TenantUserResponseModel[]